# ogm

This README outlines the details of collaborating on this Ember application.
A short introduction of this app could easily go here.

## Prerequisites

You will need the following things properly installed on your computer.

* [Git](https://git-scm.com/)
* [Node.js](https://nodejs.org/) (with yarn)
* [Ember CLI](https://ember-cli.com/)
* [Google Chrome](https://google.com/chrome/)

## Installation

* `git clone <repository-url>` this repository
* `cd ogm`
* `yarn install`

## Running / Development

- `yarn start`
- Visit your app at [http://localhost:4200](http://localhost:4200).
- Visit your tests at [http://localhost:4200/tests](http://localhost:4200/tests).

### Code Generators

Make use of the many generators for code, try `ember help generate` for more details

### Writing Tests

* Ember guidelines at [https://guides.emberjs.com/release/testing/](https://guides.emberjs.com/release/testing/).
* Ember mocha at [https://github.com/emberjs/ogm/tests/helpers](https://github.com/emberjs/ogm/tests/helpers).
* Ember chai at [https://github.com/ember-cli/ember-cli-chai](https://github.com/ember-cli/ember-cli-chai).

### Running Tests

- `yarn test`
- `yarn test:ember --server`

### Linting

- `yarn lint`
- `yarn lint:fix`

### Building

- `yarn ember build` (development)
- `yarn build` (production)

### Deploying

Specify what it takes to deploy your app.

## Further Reading / Useful Links

- [ember.js](https://emberjs.com/)
- [ember-cli](https://cli.emberjs.com/release/)
- Development Browser Extensions
  - [ember inspector for chrome](https://chrome.google.com/webstore/detail/ember-inspector/bmdblncegkenkacieihfhpjfppoconhi)
  - [ember inspector for firefox](https://addons.mozilla.org/en-US/firefox/addon/ember-inspector/)
